#include "MenuTextOk_Player1Keyboard.h"

InputSetting_Keyboard* MenuTextOk_Player1Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Keyboard ? gameFunc->GetInputSetting_Player1Keyboard() : nullptr;
}

SDL_Scancode* MenuTextOk_Player1Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_ok;
}

std::shared_ptr<Entity> CreateMenuTextOk_Player1Keyboard()
{
	return std::make_shared<MenuTextOk_Player1Keyboard>();
}


